## gst-openmax 0.10.0.6~1-0maemo10+0m5

=== debian/changelog ===
gst-openmax (0.10.0.6~1-0maemo10+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Tue, 18 Aug 2009 12:24:03 +0300

gst-openmax (0.10.0.6~1-0maemo10) unstable; urgency=low

  * Disable all remaining audio codecs.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 06 Aug 2009 14:42:35 +0300

gst-openmax (0.10.0.6~1-0maemo9) unstable; urgency=low

  * Fix MPEG4 decoder crashing when codec_data is missing.
  * Fixes: NB#123362 - Thumbnailer fails to extract video thumbnails for
    some videos and gst-video-thumbnailer crashes

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 25 Jun 2009 14:42:19 +0300

gst-openmax (0.10.0.6~1-0maemo8) unstable; urgency=low

  * Disable MP2, MP3 decoders.

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 17 Jun 2009 15:15:40 +0300

gst-openmax (0.10.0.6~1-0maemo7) unstable; urgency=low

  * Update changelog and versioning.

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 10 Jun 2009 14:26:58 +0300

gst-openmax (0.10.0.5-0maemo7) unstable; urgency=low

  * Disable AAC encoder/decoder.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 08 Jun 2009 14:09:59 +0300

gst-openmax (0.10.0.5-0maemo6) unstable; urgency=low

  * Re-enable AMR-NB encoder for now.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 28 May 2009 15:14:37 +0300

gst-openmax (0.10.0.5-0maemo5) unstable; urgency=low

  * Parse MPEG-4 framesize to workaround TI's OpenMAX limitation.
    (Fixes: NB#115668)

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 27 May 2009 15:27:02 +0300

gst-openmax (0.10.0.5-0maemo4) unstable; urgency=low

  * Remove G.711 elements. We'll use gst-nokia-speech now.

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 20 May 2009 18:38:36 +0300

gst-openmax (0.10.0.5-0maemo3) unstable; urgency=low

  * Fix regresion in 0.10.0.5-0maemo1 while re-using elements so that
    camerabin doesn't hang.
  * Increase timeout a bit more since TI components can take 10 seconds to
    unload on certain situations.
  * Fix regression (0.10.0.5-0maemo) in G.711 components.
  * Allow automatic bitrate configuration when it's set to 0 in video
    encoders.
  * Fix race condition when initializing and deinitialzing too fast.
    (Fixes: NB#115577)
  * Don't align framesizes for WMV decoder. (Fixes: NB#114127)

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 19 May 2009 22:03:10 +0300

gst-openmax (0.10.0.5-0maemo2) unstable; urgency=low

  * Increase hang dection timeout to a saner value. (Fixes: NB#114743,
    NB#115738, NB#114914, NB#114883, NB#116162, NB#116419)
  * Improve timeout message.
  * Fix regresion for videocalls introduced in 0.10.0.4-0maemo32.

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 15 May 2009 15:51:22 +0300

gst-openmax (0.10.0.5-0maemo1) unstable; urgency=low

  * Update to upstream release.
  * Remove unused speech codecs.

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 08 May 2009 15:42:27 +0300

gst-openmax (0.10.0.4-0maemo32) unstable; urgency=low

  * Temporary hack to allow playback of clips with resolutions not multiple of
    16 bit. (Fixes: NB#105723, Fixes: NB#110011)

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 28 Apr 2009 17:25:17 +0300

gst-openmax (0.10.0.4-0maemo31) unstable; urgency=low

  * Revert change to handle all the errors. Some omx components throw more
    errors than expected.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 27 Apr 2009 14:28:14 +0300

gst-openmax (0.10.0.4-0maemo30) unstable; urgency=low

  * Decrease the priority for all speech codecs (except G.711) so that
    gst-nokia-speech is used instead.

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 24 Apr 2009 19:37:03 +0300

gst-openmax (0.10.0.4-0maemo29) unstable; urgency=low

  * Fix build so there are no undefined symbols. Use debhelper to apply
    patches correctly.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 23 Apr 2009 17:47:58 +0300

gst-openmax (0.10.0.4-0maemo28) unstable; urgency=low

  * Decrease the priority of G.729 elements. They should be used from
    gst-nokia-speech now.

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 22 Apr 2009 16:40:03 +0300

gst-openmax (0.10.0.4-0maemo27) unstable; urgency=low

  * Use syslog to report critical errors.
  * Abort when OpenMAX components hang at certain points.
  * More pedantic error handling, and more usueful reports.

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 21 Apr 2009 18:08:15 +0300

gst-openmax (0.10.0.4-0maemo26) unstable; urgency=low

  * Disable zero-copy on output port of video components. The Xv buffers are
    not aligned any more possibly due to an update in x-server which causes
    memory corruption while decoding H.264 and H.263 video making video calls
    and video playback unreliable.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 16 Apr 2009 14:45:25 +0300

gst-openmax (0.10.0.4-0maemo25) unstable; urgency=low

  * General improvements for error handling.
  * Video encoder update for TI's new buffersize.
  * Don't limit the framerate. (Fixes: NB#108355)
  * Detect OMX_ErrorHardware. (Fixes: NB#109201)
  * Properly set G.729 caps on srcpad. (Fixes: NB#106140)
  * Deinitialization improvements. (Fixes: NB#95770)

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 03 Apr 2009 18:00:28 +0300

gst-openmax (0.10.0.4-0maemo24) unstable; urgency=low

  * Fix framerate property for video encoders. (again)
  * Fall back to 1/1 framerate for decoding rtp.
  * Set DTX off by default in G.729 encoder.
  * Disable zero-copy for output buffer on H.263 encoder. TI broke it again.
  * Detect more unrecoverable errors. TI updated the return values.
  * Add hack to increment timestamps nicely. Needed for G.729 encoder.
  * Forward framerate caps properly in JPEG encoder. (Fixes: NB#107288)
  * Update I420 color format to use PackedPlanar. TI changed the API.
    (Fixes: NB#105680)



=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

config.status: patch configure.ac
	dh_testdir
	echo $(DEB_VERSION) > .version
	./autogen.sh --noconfigure
	./configure --prefix=/usr

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

install: build-stamp
	dh_testroot
	dh_clean -k
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/

clean: unpatch
	dh_testdir
	dh_testroot
	dh_clean
	rm -f build-stamp
	test -f Makefile && $(MAKE) distclean || true

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp
	dh_installdocs
	dh_installman
	dh_link
	dh_strip --dbg-package=gstreamer0.10-openmax
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install

ORIGIN_REF := master
PATCHES_REF := maemo

update-patch-series:
	mkdir -p debian/patches
	rm -f debian/patches/*.patch
	git format-patch -o debian/patches $(PATCHES_REF) ^$(ORIGIN_REF) | \
	        xargs -n 1 basename > debian/patches/series
	for patch in debian/patches/*.patch; do \
		lines=$$(cat $$patch | wc -l) ; \
		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
		mv $${patch}.chomped $$patch ; \
	done
	git ls-files --modified --others -z debian/patches/*.patch debian/patches/series | \
		git update-index --add --remove -z --stdin

## gst-openmax 0.10.0.6~1-0maemo14+0m5

=== debian/changelog ===
gst-openmax (0.10.0.6~1-0maemo14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 29 Oct 2009 11:52:43 +0200

gst-openmax (0.10.0.6~1-0maemo14) unstable; urgency=low

  * Increase the rank of H.264 video decoder

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 27 Oct 2009 14:09:49 +0200

gst-openmax (0.10.0.6~1-0maemo13) unstable; urgency=low

  * Fix framerate fallback regression for videocall.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 15 Oct 2009 22:35:27 +0300

gst-openmax (0.10.0.6~1-0maemo12) unstable; urgency=low

  * Decrease ranks of elements; we prefer gst-dsp.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 05 Oct 2009 16:41:29 +0300

gst-openmax (0.10.0.6~1-0maemo11) unstable; urgency=low

  * Rebase on top of upstream 'master'.

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 29 Sep 2009 19:29:54 +0300

=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,8 @@
 binary: binary-arch
 .PHONY: build clean binary-arch binary install
 
-ORIGIN_REF := master
-PATCHES_REF := maemo
+ORIGIN_REF := omap
+PATCHES_REF := maemo-patches
 
 update-patch-series:
 	mkdir -p debian/patches

## gst-openmax 0.10.0.6~1-0maemo17+0m5

=== tests/standalone/Makefile ===
noinst_LIBRARIES = libomxil-foo.so

libomxil_foo_so_SOURCES = core.c
libomxil_foo_so_CFLAGS = -I$(top_srcdir)/omx/headers $(GTHREAD_CFLAGS) -I$(top_srcdir)/util
libomxil_foo_so_LIBADD = $(GTHREAD_LIBS) $(top_srcdir)/util/.libs/libutil.a

# Manual stuff

CFLAGS = -ggdb
top_srcdir = ../..
srcdir = .
CC = gcc
LIBRARIES = $(noinst_LIBRARIES)
GTHREAD_CFLAGS=`pkg-config --cflags gthread-2.0`
GTHREAD_LIBS=`pkg-config --libs gthread-2.0`

all: 
check: $(LIBRARIES)

libomxil-foo.so: $(patsubst %.c,%.o,$(libomxil_foo_so_SOURCES))
libomxil-foo.so: CFLAGS := $(CFLAGS) -fPIC $(libomxil_foo_so_CFLAGS)
libomxil-foo.so: LIBS := $(libomxil_foo_so_LIBADD)

%.so::
	$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

.PHONY: clean distclean install

clean:
	rm -rf *.o $(LIBRARIES)

install:
distdir:
	cp -pR $(srcdir)/core.c $(distdir)
	cp -pR $(srcdir)/Makefile $(distdir)
distclean: clean

=== debian/changelog ===
gst-openmax (0.10.0.6~1-0maemo17+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Marco Ballesio <marco.ballesio@nokia.com>  Tue, 26 Jan 2010 10:06:53 +0200

gst-openmax (0.10.0.6~1-0maemo17) unstable; urgency=low

  * Get rid of major memleak. (Fixes: NB#146026)

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 21 Jan 2010 20:06:34 +0200

gst-openmax (0.10.0.6~1-0maemo16) unstable; urgency=low

  * Improve error handling

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 16 Dec 2009 17:58:32 +0200

gst-openmax (0.10.0.6~1-0maemo15) unstable; urgency=low

  * Fixes: NB#136816 - Some H.264 decoder issues with RTP

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 10 Dec 2009 15:44:45 +0200

=== debian/control ===
Source: gst-openmax
Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
XSBC-Uploaders: Marc-Andre Lureau <marcandre.lureau@gmail.com>, Loic Minier <lool@dooz.org>
Section: libs
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2),
	autotools-dev,
	libgstreamer0.10-dev,
	libgstreamer-plugins-base0.10-dev,
	pkg-config,
	quilt
Vcs-Svn: svn:///svn.debian.org/pkg-gstreamer/experimental/gst-openmax
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gstreamer/experimental/gst-openmax
Homepage: http://freedesktop.org/wiki/GstOpenMAX

Package: gstreamer0.10-openmax
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libomxil-bellagio0, libomxil-ti0
Description: gst-openmax is a GStreamer plug-in that allows communication with
 OpenMAX IL components.
 .
 Multiple OpenMAX IL implementations can be used, including but not limited to
 Texas Instruments and Bellagio.

Package: gstreamer0.10-openmax-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: gstreamer0.10-openmax (= ${binary:Version})
Description: Debug symbols for gst-openmax.

=== debian/rules ===
--- 
+++ 
@@ -49,17 +49,17 @@
 .PHONY: build clean binary-arch binary install
 
 ORIGIN_REF := omap
-PATCHES_REF := maemo-patches
+PATCHES_REF := maemo5-patches
 
 update-patch-series:
 	mkdir -p debian/patches
 	rm -f debian/patches/*.patch
-	git format-patch -o debian/patches $(PATCHES_REF) ^$(ORIGIN_REF) | \
+	git format-patch -N -o debian/patches $(PATCHES_REF) ^$(ORIGIN_REF) | \
 	        xargs -n 1 basename > debian/patches/series
 	for patch in debian/patches/*.patch; do \
 		lines=$$(cat $$patch | wc -l) ; \
 		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
 		mv $${patch}.chomped $$patch ; \
 	done
-	git ls-files --modified --others -z debian/patches/*.patch debian/patches/series | \
+	git ls-files --modified --others -z 'debian/patches/*.patch' 'debian/patches/series' | \
 		git update-index --add --remove -z --stdin

## gst-openmax 0.10.0.6~1-0maemo17.1+0m5

=== debian/changelog ===
gst-openmax (0.10.0.6~1-0maemo17.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.10.0.6~1-0maemo17.1+0m5

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 29 Jul 2010 10:43:37 +0300

gst-openmax (0.10.0.6~1-0maemo17.1) unstable; urgency=low

  * Propagate aspect-ratio. (Fixes: NB#152066, MB#7465)

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 26 May 2010 00:21:21 +0300
